﻿DECLARE @@SupCode VARCHAR(10) =@0
DECLARE @@ProdMonth VARCHAR(10) =@1
DECLARE @@Supplant VARCHAR(10) =@2

 
SELECT 	SUPPLIER_CD as suplierCode ,
		a.PRODUCTION_MONTH as productionMonth, 
		b.FEEDBACK_DUE_DATE as tentativeDate,
		a.SUPPLIER_PLANT as supplant
 
FROM 		TB_R_MONTHLY_FORECAST a 
			inner  join dbo.TB_R_LPOP_CONFIRMATION b 
			on a.PRODUCTION_MONTH=b.PRODUCTION_MONTH
WHERE T_FEEDBACK_DT is null 
	  AND a.PRODUCTION_MONTH=@@ProdMonth
	  AND a.SUPPLIER_CD=@@SupCode 
	  AND a.SUPPLIER_PLANT=@@Supplant
	  AND b.LPOP_TIMING='T'
